Bug 140298 - [Cocoa] Make decoded image data purgeable ASAP.
Summary: [Cocoa] Make decoded image data purgeable ASAP.
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andreas Kling
URL:
Keywords: InRadar
Depends on: 141132 141395
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-09 10:41 PST by Andreas Kling
Modified: 2015-09-14 11:16 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.16 KB, patch)
2015-01-09 10:43 PST, Andreas Kling
no flags Details | Formatted Diff | Diff
Patch for landing (3.42 KB, patch)
2015-01-09 11:15 PST, Andreas Kling
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-01 for mac-mountainlion (582.99 KB, application/zip)
2015-01-09 11:52 PST, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kling 2015-01-09 10:41:22 PST
Patch forthcoming.
Comment 1 Andreas Kling 2015-01-09 10:43:20 PST
Created attachment 244350 [details]
Patch
Comment 2 Antti Koivisto 2015-01-09 11:04:09 PST
Comment on attachment 244350 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244350&action=review

> Source/WebCore/ChangeLog:23
> +        Note that the worst-possible case would be something like 
> +

Seems like you failed to complete the
Comment 3 Andreas Kling 2015-01-09 11:15:02 PST
Created attachment 244353 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2015-01-09 11:52:09 PST
Comment on attachment 244353 [details]
Patch for landing

Rejecting attachment 244353 [details] from commit-queue.

New failing tests:
css3/background/background-repeat-space-content.html
Full output: http://webkit-queues.appspot.com/results/6083475790626816
Comment 5 WebKit Commit Bot 2015-01-09 11:52:11 PST
Created attachment 244358 [details]
Archive of layout-test-results from webkit-cq-01 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the commit-queue.
Bot: webkit-cq-01  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 6 Andreas Kling 2015-01-09 12:07:14 PST
Comment on attachment 244353 [details]
Patch for landing

Clearing flags on attachment: 244353

Committed r178183: <http://trac.webkit.org/changeset/178183>
Comment 7 Andreas Kling 2015-01-09 12:07:18 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2015-01-27 16:49:39 PST
<rdar://problem/19623377>
Comment 10 WebKit Commit Bot 2015-01-31 19:47:17 PST
Re-opened since this is blocked by bug 141132
Comment 11 Andreas Kling 2015-02-02 13:25:21 PST
Committed r179494: <http://trac.webkit.org/changeset/179494>
Comment 12 WebKit Commit Bot 2015-02-09 11:48:04 PST
Re-opened since this is blocked by bug 141395
Comment 13 Alexey Proskuryakov 2015-02-27 15:56:31 PST
This also looks to have been breaking css3/background/background-repeat-space-content.html, see bug 140309.
Comment 14 Csaba Osztrogonác 2015-09-14 11:16:35 PDT
Comment on attachment 244350 [details]
Patch

Cleared Antti Koivisto's review+ from obsolete attachment 244350 [details] so that this bug does not appear in http://webkit.org/pending-commit.